Macaulay2 » Documentation
Packages » NCAlgebra :: toM2Ring
next | previous | forward | backward | up | index | toc

# toM2Ring -- Compute the abelianization of an NCRing and returns a Ring.

- Usage:
    `S = toM2Ring R`
- Inputs:
  - R, an instance of the type NCRing,
- Optional inputs:
  - SkewCommutative => a Boolean value, default value false
- Outputs:
  - S, a ring,

## Description

This method takes an NCRing and returns the quotient of a commutative polynomial ring (or an exterior algebra, if SkewCommutative=>true) on the same generators by the defining relations of the input ring.

    i1 : A = skewPolynomialRing(QQ,(-1)_QQ,{w,x,y,z})
    --Calling Bergman for NCGB calculation.
    Complete!

    o1 = A

    o1 : NCQuotientRing

    i2 : x*y-y*x

    o2 = 2xy

    o2 : A

    i3 : w^2

          2
    o3 = w

    o3 : A

    i4 : B = toM2Ring(A)

    o4 = B

    o4 : QuotientRing

    i5 : x*y-y*x

    o5 = 0

    o5 : B

    i6 : w^2

          2
    o6 = w

    o6 : B

    i7 : C = toM2Ring(A,SkewCommutative=>true)

    o7 = C

    o7 : PolynomialRing, 4 skew commutative variable(s)

    i8 : x*y-y*x

    o8 = 2x*y

    o8 : C

    i9 : w^2

    o9 = 0

    o9 : C

## See also

- toNCRing -- Converts a Ring to an NCRing

## Ways to use toM2Ring:

- `toM2Ring(NCRing)`

## For the programmer

The object toM2Ring is a method function with options.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:3559:0.